Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Forward.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Forward.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Forward.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.LawnMower {
-  [StorableClass]
+  [StorableClass("C9FDA044-BD8B-4E5F-A4D7-39B32DA4D133")]
   public sealed class Forward : Symbol {
     public override int MinimumArity {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Frog.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Frog.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Frog.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.LawnMower {
-  [StorableClass]
+  [StorableClass("55EE5509-80BF-4F0A-810B-91A9F7AAB71A")]
   public sealed class Frog : Symbol {
     public override int MinimumArity {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Left.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Left.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Left.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.LawnMower {
-  [StorableClass]
+  [StorableClass("EDD65E28-6759-4C3A-83DF-E23E3EEAF401")]
   public sealed class Left : Symbol {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Prog.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Prog.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Prog.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.LawnMower {
-  [StorableClass]
+  [StorableClass("96D75667-36CD-477D-95A7-627429158563")]
   public sealed class Prog : Symbol {
     public override int MinimumArity {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Sum.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Sum.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.LawnMower/3.3/Symbols/Sum.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.LawnMower {
-  [StorableClass]
+  [StorableClass("FF2B6E61-BBDD-4F53-BC9E-FF553251304E")]
   public sealed class Sum : Symbol {
     public override int MinimumArity {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/Analyzers/BestLAPSolutionAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/Analyzers/BestLAPSolutionAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/Analyzers/BestLAPSolutionAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Problems.LinearAssignment {
   [Item("BestLAPSolutionAnalyzer", "Analyzes the best solution found.")]
-  [StorableClass]
+  [StorableClass("95EF016B-D75D-4CFF-95C5-FA08DDD50B4F")]
   public class BestLAPSolutionAnalyzer : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator {
     public bool EnabledByDefault { get { return true; } }
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/HungarianAlgorithm.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/HungarianAlgorithm.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/HungarianAlgorithm.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -34,7 +34,7 @@
   /// A genetic algorithm.
   /// </summary>
-  [Item("Hungarian Algorithm", "The Hungarian algorithm can be used to solve the linear assignment problem in O(n^3). It is also known as the Kuhn–Munkres algorithm or Munkres assignment algorithm.")]
+  [Item("Hungarian Algorithm", "The Hungarian algorithm can be used to solve the linear assignment problem in O(n^3). It is also known as the KuhnâMunkres algorithm or Munkres assignment algorithm.")]
   [Creatable(CreatableAttribute.Categories.SingleSolutionAlgorithms, Priority = 170)]
-  [StorableClass]
+  [StorableClass("42430F77-CCA4-4A72-933B-945770A5FA11")]
   public sealed class HungarianAlgorithm : EngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/LAPAssignment.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/LAPAssignment.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/LAPAssignment.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Problems.LinearAssignment {
   [Item("LAP Assignment", "Represents a solution to the LAP.")]
-  [StorableClass]
+  [StorableClass("2F7E790F-BA77-4689-A1BB-1B6ED9BC02E8")]
   public sealed class LAPAssignment : Item, INotifyPropertyChanged, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/LAPEvaluator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/LAPEvaluator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/LAPEvaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿using System;
+using System;
 #region License Information
 /* HeuristicLab
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.LinearAssignment {
   [Item("LAPEvaluator", "Evaluates a solution to the linear assignment problem.")]
-  [StorableClass]
+  [StorableClass("D58F39FD-C614-4E41-A555-52B277A0DF26")]
   public class LAPEvaluator : InstrumentedOperator, ILAPEvaluator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/LinearAssignmentProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/LinearAssignmentProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/LinearAssignmentProblem.cs	(revision 13368)
@@ -35,5 +35,5 @@
   [Item("Linear Assignment Problem (LAP)", "In the linear assignment problem (LAP) an assignment of workers to jobs has to be found such that each worker is assigned to exactly one job, each job is assigned to exactly one worker and the sum of the resulting costs is minimal (or maximal).")]
   [Creatable(CreatableAttribute.Categories.CombinatorialProblems, Priority = 130)]
-  [StorableClass]
+  [StorableClass("AF707CB5-CB24-4E46-87FF-A4234D17B533")]
   public sealed class LinearAssignmentProblem : SingleObjectiveHeuristicOptimizationProblem<ILAPEvaluator, IPermutationCreator>, IStorableContent {
     public static readonly string CostsDescription = "The cost matrix that describes the assignment of rows to columns.";
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/LinearAssignmentProblemSolver.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/LinearAssignmentProblemSolver.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.LinearAssignment/3.3/LinearAssignmentProblemSolver.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.LinearAssignment {
   [Item("LinearAssignmentProblemSolver", "Uses the hungarian algorithm to solve linear assignment problems.")]
-  [StorableClass]
+  [StorableClass("9AE29C0F-02CB-4906-AA61-1E0896CA007E")]
   public sealed class LinearAssignmentProblemSolver : SingleSuccessorOperator, ISingleObjectiveOperator {
     private const int UNASSIGNED = -1;
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/AverageBitBinaryVectorComparer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/AverageBitBinaryVectorComparer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/AverageBitBinaryVectorComparer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.NK {
   [Item("Average Bit Binary Vector Comparer", "Compares two binary vectors by their average positive bit location")]
-  [StorableClass]
+  [StorableClass("BC3736EE-6052-40CB-A9DA-046B65E449C2")]
   public sealed class AverageBitBinaryVectorComparer : Item, IBinaryVectorComparer {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/LexicographicBinaryVectorComparer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/LexicographicBinaryVectorComparer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/LexicographicBinaryVectorComparer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.NK {
   [Item("Lexicographic Binary Vector Comparer", "Compares two binary vectors lexicographically")]
-  [StorableClass]
+  [StorableClass("B3DAF5FE-6529-4B50-BBCD-710EF57807DD")]
   public sealed class LexicographicBinaryVectorComparer : Item, IBinaryVectorComparer {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/MedianBitBinaryVectorComparer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/MedianBitBinaryVectorComparer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/MedianBitBinaryVectorComparer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.NK {
   [Item("Median Bit Binary Vector Comparer", "Compares two binary vectors by the median positive bit location")]
-  [StorableClass]
+  [StorableClass("F696557C-574E-4E41-9B4A-09453DD6AC61")]
   public sealed class MedianBitBinaryVectorComparer : Item, IBinaryVectorComparer {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/InteractionInitializers/IncreasingBlockSizeInteractionsInitializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/InteractionInitializers/IncreasingBlockSizeInteractionsInitializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/InteractionInitializers/IncreasingBlockSizeInteractionsInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.NK {
   [Item("IncreasingBlockSizeInteractionsInitializer", "Randomly assignes interactions across all bits but makes sure that different numbers of ineractions are applied to different bits.")]
-  [StorableClass]
+  [StorableClass("030C1FA8-2B11-42E8-B0CE-A87B0BF21399")]
   public sealed class IncreasingBlockSizeInteractionsInitializer : ParameterizedNamedItem, IInteractionInitializer {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/InteractionInitializers/LimitedRandomInteractionsInitializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/InteractionInitializers/LimitedRandomInteractionsInitializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/InteractionInitializers/LimitedRandomInteractionsInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.NK {
   [Item("LimitedRandomInteractionsInitializer", "Randomly assignes interactions across bits in the vicinity of each other respecting the maximum distances if possible.")]
-  [StorableClass]
+  [StorableClass("868E4066-BEC8-4CF3-8BB0-47C7D4F117B3")]
   public sealed class LimitedRandomInteractionsInitializer : ParameterizedNamedItem, IInteractionInitializer {
     private class Bounds {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/InteractionInitializers/RandomInteractionsInitializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/InteractionInitializers/RandomInteractionsInitializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/InteractionInitializers/RandomInteractionsInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.NK {
   [Item("RandomInteractionsInitializer", "Randomly assignes interactions across all bits")]
-  [StorableClass]
+  [StorableClass("9127A9E6-7162-48C4-9FDF-628B6426F032")]
   public sealed class RandomInteractionsInitializer : ParameterizedNamedItem, IInteractionInitializer {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/InteractionInitializers/SortedRandomInteractionsInitializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/InteractionInitializers/SortedRandomInteractionsInitializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/InteractionInitializers/SortedRandomInteractionsInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.NK {
   [Item("SortedRandomInteractionsInitializer", "Randomly assigns interactions across all bits and sorts components according to bit affinity.")]
-  [StorableClass]
+  [StorableClass("7AE2EF55-D1E7-4206-8C7C-49454982F8BE")]
   public sealed class SortedRandomInteractionsInitializer : ParameterizedNamedItem, IInteractionInitializer {
     public IConstrainedValueParameter<IBinaryVectorComparer> ComparerParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/NKBitFlipMoveEvaluator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/NKBitFlipMoveEvaluator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/NKBitFlipMoveEvaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 
   [Item("NK BitFlip Move Evaluator", "Evaluates a single bit flip on an NK landscape.")]
-  [StorableClass]
+  [StorableClass("63E13127-F6DF-48D4-822E-B37A9A85B7B8")]
   public class NKBitFlipMoveEvaluator : NKMoveEvaluator, IOneBitflipMoveOperator {
     public ILookupParameter<OneBitflipMove> OneBitflipMoveParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/NKLandscape.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/NKLandscape.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/NKLandscape.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -36,5 +36,5 @@
   [Item("NK Landscape", "Represents an NK landscape optimization problem.")]
   [Creatable(CreatableAttribute.Categories.CombinatorialProblems, Priority = 215)]
-  [StorableClass]
+  [StorableClass("5D198285-9C08-4CFC-852A-6CAABCBF8681")]
   public sealed class NKLandscape : BinaryProblem {
     public override bool Maximization {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/NKMoveEvaluator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/NKMoveEvaluator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/NKMoveEvaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 
   [Item("NKMoveEvaluator", "A base class for operators which evaluate moves on the NK Landscape.")]
-  [StorableClass]
+  [StorableClass("B9E1A53F-1BF0-4919-80A3-88B02F695487")]
   public abstract class NKMoveEvaluator : SingleSuccessorOperator, INKMoveEvaluator, IBinaryVectorMoveOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/EqualWeightsInitializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/EqualWeightsInitializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/EqualWeightsInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Problems.NK {
   [Item("EqualWeightsInitializer", "Initializes all weights to 1.0.")]
-  [StorableClass]
+  [StorableClass("89451144-A649-4A14-A42B-EB2CD8C405E8")]
   public sealed class EqualWeightsInitializer : ParameterizedNamedItem, IWeightsInitializer {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/ExponentialDistributionWeightsInitializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/ExponentialDistributionWeightsInitializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/ExponentialDistributionWeightsInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.NK {
   [Item("ExponentialDistributionWeightsInitializer", "Assigns exponentially decreasing weights using the rate parameter lambda.")]
-  [StorableClass]
+  [StorableClass("59DC441A-28C4-4C0A-B66D-3F73FAD6AF1B")]
   public sealed class ExponentialDistributionWeightsInitializer : ParameterizedNamedItem, IWeightsInitializer {
     public IValueParameter<DoubleValue> LambdaParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/ExponentialWeightsInitializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/ExponentialWeightsInitializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/ExponentialWeightsInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.NK {
   [Item("ExponentialWeightsInitializer", "Assigns exponentially increasing weights.")]
-  [StorableClass]
+  [StorableClass("7A366148-7D20-4635-823B-E7DB5358014A")]
   public sealed class ExponentialWeightsInitializer : ParameterizedNamedItem, IWeightsInitializer {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/LinearWeightsInitializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/LinearWeightsInitializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/LinearWeightsInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Problems.NK {
   [Item("LinearWeightsInitializer", "Assigns linear increasing weights.")]
-  [StorableClass]
+  [StorableClass("733D3565-10B2-4F1D-A83B-65EFF35AE463")]
   public sealed class LinearWeightsInitializer : ParameterizedNamedItem, IWeightsInitializer {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/ReverseExponentialWeightsInitializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/ReverseExponentialWeightsInitializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/ReverseExponentialWeightsInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.NK {
   [Item("ReverseExponentialWeightsInitializer", "Assigns exponentially decreasing weights.")]
-  [StorableClass]
+  [StorableClass("3D205EB2-807E-4018-A83C-192D4CD5E88D")]
   public sealed class ReverseExponentialWeightsInitializer : ParameterizedNamedItem, IWeightsInitializer {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/ReverseLinearWeightsInitializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/ReverseLinearWeightsInitializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.NK/3.3/WeightInitializers/ReverseLinearWeightsInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Problems.NK {
   [Item("ReverseLinearWeightsInitializer", "Assigns exponentially decreasing weights.")]
-  [StorableClass]
+  [StorableClass("DD575DCA-D6DE-42FA-8F4D-9457B3A48767")]
   public sealed class ReverseLinearWeightsInitializer : ParameterizedNamedItem, IWeightsInitializer {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/Creators/GreedyOrienteeringTourCreator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/Creators/GreedyOrienteeringTourCreator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/Creators/GreedyOrienteeringTourCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -39,5 +39,5 @@
   /// </summary>
   [Item("GreedyOrienteeringTourCreator", @"Implements the solution creation procedure described in Schilde M., Doerner K.F., Hartl R.F., Kiechle G. 2009. Metaheuristics for the bi-objective orienteering problem. Swarm Intelligence, Volume 3, Issue 3, pp 179-201.")]
-  [StorableClass]
+  [StorableClass("00F4F448-4257-46B4-ADE5-5CE3FBD7EC22")]
   public sealed class GreedyOrienteeringTourCreator : IntegerVectorCreator, IOrienteeringSolutionCreator {
     public override bool CanChangeName { get { return false; } }
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/DistanceMatrix.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/DistanceMatrix.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/DistanceMatrix.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("DistanceMatrix", "Represents a distance matrix of a Orienteering Problem.")]
-  [StorableClass]
+  [StorableClass("2C974D9A-2E29-4274-A1BF-C4117AE7EB50")]
   public sealed class DistanceMatrix : DoubleMatrix {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/Evaluators/OrienteeringEvaluator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/Evaluators/OrienteeringEvaluator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/Evaluators/OrienteeringEvaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.Orienteering {
   [Item("OrienteeringEvaluator", "Operator to evaluate a solution to the orienteering problem.")]
-  [StorableClass]
+  [StorableClass("95CD4CF5-0EA3-47D7-B233-7700BE85FDBD")]
   public class OrienteeringEvaluator : InstrumentedOperator, IOrienteeringEvaluator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/Improvers/OrienteeringLocalImprovementOperator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/Improvers/OrienteeringLocalImprovementOperator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/Improvers/OrienteeringLocalImprovementOperator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -38,5 +38,5 @@
   /// </summary>
   [Item("OrienteeringLocalImprovementOperator", @"Implements the iterative improvement procedure described in Schilde M., Doerner K.F., Hartl R.F., Kiechle G. 2009. Metaheuristics for the bi-objective orienteering problem. Swarm Intelligence, Volume 3, Issue 3, pp 179-201.")]
-  [StorableClass]
+  [StorableClass("00A4C0F4-5EBF-427D-BBDE-C237E480F40A")]
   public sealed class OrienteeringLocalImprovementOperator : SingleSuccessorOperator, ILocalImprovementOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/OrienteeringProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/OrienteeringProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/OrienteeringProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -36,5 +36,5 @@
   [Item("Orienteering Problem (OP)", "Represents a single-objective Orienteering Problem.")]
   [Creatable(CreatableAttribute.Categories.CombinatorialProblems, Priority = 115)]
-  [StorableClass]
+  [StorableClass("DAD06970-E491-41FA-8164-E5EAADE477BA")]
   public sealed class OrienteeringProblem
     : SingleObjectiveHeuristicOptimizationProblem<IOrienteeringEvaluator, IOrienteeringSolutionCreator>,
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/OrienteeringSolution.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/OrienteeringSolution.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.Orienteering/3.3/OrienteeringSolution.cs	(revision 13368)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.Orienteering {
   [Item("OrienteeringSolution", "Represents a Orienteering solution which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("5D66FA92-DB58-4249-8579-5C6C27B77AA1")]
   public sealed class OrienteeringSolution : Item {
     public static new Image StaticItemImage {
